package com.bocloud.ims.interfaces.resource.azure.prices;

import com.bocloud.cmp.params.azure.AzureListPriceParams;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzurePriceService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/6 15:15
 */
public interface AzurePriceService {

    /**
     * 获取云主机规格计费，通过api方式
     *
     * @param params
     * @return
     */
    BocloudResult flavors(AzureListPriceParams params);

    /**
     * 获取磁盘计费，通过api方式
     *
     * @param params
     * @return
     */
    BocloudResult volumes(AzureListPriceParams params);

    /**
     * 获取EIP计费，通过api方式
     *
     * @param params
     * @return
     */
    BocloudResult eips(AzureListPriceParams params);

    /**
     * 获取redis定价，通过api方式
     *
     * @param params
     * @return
     */
    BocloudResult redis(AzureListPriceParams params);

    /**
     * 获取mysql存储定价，通过api方式
     *
     * @param params
     * @return
     */
    BocloudResult mysqlStorage(AzureListPriceParams params);

    /**
     * 获取mysql vcore定价，通过api方式
     *
     * @param params
     * @return
     */
    BocloudResult mysqlVcore(AzureListPriceParams params);


}